astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- Besancon Queries (`astroquery.besancon`) »
- BesanconClass

# BesanconClass

class astroquery.besancon.BesanconClass(*, email=None)

  Bases: `BaseQuery`

  Attributes Summary

  `QUERY_URL` |
  `TIMEOUT` |
  `ping_delay` |
  `result_re` |
  `url_download` |

  Methods Summary

  `get_besancon_model_file`(filename, *[, ...]) | Download a Besancon model from the website.
  `query`(*args, **kwargs) | Queries the service and returns a table object.
  `query_async`(*args, **kwargs) | Perform a query on the Besancon model of the galaxy.

  Attributes Documentation

  QUERY_URL = 'https://model.obs-besancon.fr/modele_form.php'
  TIMEOUT = 30.0
  ping_delay = 30.0
  result_re = re.compile('[0-9]{10}\\.[0-9]{6}\\.resu')
  url_download = 'ftp://sasftp.obs-besancon.fr/modele/modele2003/'

  Methods Documentation

  get_besancon_model_file(filename, *, verbose=True, timeout=5.0)

    Download a Besancon model from the website.

    Parameters:
      filename string

        The besancon filename, with format ##########.######.resu

      verbose bool

        Print details about the download process

      timeout float

        Amount of time to wait after pinging the server to see if a file is present. Default 5s, which is probably reasonable.

  query(*args, **kwargs)

    Queries the service and returns a table object.

    Perform a query on the Besancon model of the galaxy.

    https://model.obs-besancon.fr/

    Parameters:
      glon float
      glat float

        Galactic latitude and longitude at the center

      email str

        A valid e-mail address to send the report of completion to

      smallfield bool

        Small field (True) or Large Field (False) LARGE FIELD NOT SUPPORTED YET

      extinction float

        Extinction per kpc in A_V

      area float

        Area in square degrees

      absmag_limits(float,float)

        Absolute magnitude lower,upper limits

      colors_limits dict of (float,float)
        Should contain 4 elements listing color differences in the valid

          bands, e.g.: {“J-H”:(99,-99),”H-K”:(99,-99),”J-K”:(99,-99),”V-K”:(99,-99)}

      mag_limits = dict of (float,float)

        Lower and Upper magnitude difference limits for each magnitude band U B V R I J H K L

      clouds list of 2-tuples

        Up to 25 line-of-sight clouds can be specified in pairs of (A_V, distance in pc)

      verbose bool

        Print out extra error messages?

      kwargs dict

        Can override any argument in the request if you know the name of the POST keyword.

      retrieve_file bool

        If True, will try to retrieve the file every 30s until it shows up. Otherwise, just returns the filename (the job is still executed on the remote server, though)

    Returns:
      table A `Table` object.
  query_async(*args, **kwargs)

    Perform a query on the Besancon model of the galaxy.

    https://model.obs-besancon.fr/

    Parameters:
      glon float
      glat float

        Galactic latitude and longitude at the center

      email str

        A valid e-mail address to send the report of completion to

      smallfield bool

        Small field (True) or Large Field (False) LARGE FIELD NOT SUPPORTED YET

      extinction float

        Extinction per kpc in A_V

      area float

        Area in square degrees

      absmag_limits(float,float)

        Absolute magnitude lower,upper limits

      colors_limits dict of (float,float)
        Should contain 4 elements listing color differences in the valid

          bands, e.g.: {“J-H”:(99,-99),”H-K”:(99,-99),”J-K”:(99,-99),”V-K”:(99,-99)}

      mag_limits = dict of (float,float)

        Lower and Upper magnitude difference limits for each magnitude band U B V R I J H K L

      clouds list of 2-tuples

        Up to 25 line-of-sight clouds can be specified in pairs of (A_V, distance in pc)

      verbose bool

        Print out extra error messages?

      kwargs dict

        Can override any argument in the request if you know the name of the POST keyword.

      retrieve_file bool

        If True, will try to retrieve the file every 30s until it shows up. Otherwise, just returns the filename (the job is still executed on the remote server, though)

    Returns:
      response `requests.Response` object

        The response of the HTTP request.